package com.bbitcn.silk.ui.activity;

import android.content.Intent;

import androidx.fragment.app.FragmentTransaction;

import com.bbitcn.silk.R;
import com.bbitcn.silk.base.BaseActivity;
import com.bbitcn.silk.databinding.ActivityKindsBinding;
import com.bbitcn.silk.ui.fragment.QueryFragment;

/**
 * @Description 茧别转换界面
 * @Author DuanKaiji
 * @CreateTime 2024年03月27日 15:12
 */
public class KindsActivity extends BaseActivity<ActivityKindsBinding, KindsActivityPresenter> {

    @Override
    public void initView() {
        presenter.getAllType();
    }


    @Override
    protected void onResume() {
        super.onResume();
        FragmentTransaction transaction = getSupportFragmentManager().beginTransaction();
        transaction.replace(R.id.fragment_container, new QueryFragment(3, 2,  6));
        transaction.commit();
    }

    @Override
    public void initListener() {
        super.initListener();
        binding.ivBack.setOnClickListener(v -> finish());
    }

}
